#
# spec file for package sawfish (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile control-center control-center-devel esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gmp gnome-libs gnome-libs-devel gtk gtk-devel guile-gtk gxmhtml imlib imlib-devel libglade libglade-devel libjpeg libpng librep librep-devel libtiff libungif libxml libxml-devel orbit orbit-devel rep-gtk xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gmp gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel guile-gtk gxmhtml gzip imlib imlib-devel kbd less libglade libglade-devel libjpeg libpng librep librep-devel libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rep-gtk rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         sawfish
%define prefix /opt/gnome
%define infodir %{prefix}/share/info
%define sysconfdir /etc%{prefix}
Version:      1.0
Release:      85
Summary:      A nice/fast/extensible windowmanager using LISP
Requires:	rep-gtk
Copyright:	GPL
Group:		X11/Window Managers
Source0:	http://download.sourceforge.net/sawmill/sawfish-%{version}.tar.bz2
URL:		http://www.dcs.warwick.ac.uk/~john/sw/sawfish/
Buildroot:	/var/tmp/%{name}-root
Provides:	sawfish-themer windowmanager
Obsoletes:	sawmill sawfish-gnome
Patch: sawfish-1.0.dif
%define destination %{_host}-gnu
%ifarch ppc
%define destination  %{_host}
%endif

%description
The sawfish (former sawmill) windowmanager is a small and smart
windowmanager, which can be extended using Lisp.
Many GNOME lovers are using sawfish as their windowmanager.

Authors:
--------
    John Harper <jsh@users.sourceforge.net>

SuSE series: xwm

%prep
%setup -q
%patch -p1

%build
%{?suse_update_config:%{suse_update_config -f etc}}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --enable-capplet --enable-themer --with-readline \
            --prefix=%{prefix} \
            --infodir=%{infodir} \
            --sysconfdir=%sysconfdir \
            --localstatedir=/var/lib \
            %{destination}
make host_type=%{destination}
# sawfish check's for this directory and installs it's .desktop file there
mkdir -p /var/tmp/sawfish-root/%{prefix}/share/gnome/wm-properties

%install
make install DESTDIR=$RPM_BUILD_ROOT \
             GNOMEDIR=%{prefix} \
             host_type=%{destination}
gzip -9nf $RPM_BUILD_ROOT%{infodir}/sawfish*.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README NEWS FAQ THANKS BUGS TODO
%doc lisp/sawfish/ui/WIDGETS lisp/sawfish/ui/WISHLIST
%{prefix}/bin/*
%{prefix}/share/sawfish
%{prefix}/share/control-center/Sawfish
%{prefix}/share/gnome/apps/Settings/Sawfish
%{prefix}/share/gnome/wm-properties/Sawfish.desktop
%{prefix}/share/pixmaps/*
%{prefix}/libexec/sawfish
/usr/lib/rep/%{destination}/sawfish/*
%{infodir}/sawfish*

%changelog -n sawfish
* Wed Aug 29 2001 - hhetter@suse.de
- build with the correct host-type
* Thu Aug 23 2001 - hhetter@suse.de
- fix for ppc lisp-installation directory
* Mon Aug 13 2001 - hhetter@suse.de
- update to 1.0
* Thu May 10 2001 - hhetter@suse.de
- changed group tag to X11/Window Managers (fix for bug #7962)
* Fri Apr 20 2001 - hhetter@suse.de
- fix: create /opt/gnome/share/gnome/wm-properties directory
  in buildroot, let's sawfish create it's .desktop file.
  (needed in gnomecc)
- changed filelist accordingly
* Wed Mar 28 2001 - hhetter@suse.de
- added suse_update_config in specfile
* Thu Mar 15 2001 - hhetter@suse.de
- Update to version 0.38
- quick test on 7.1
* Mon Mar 05 2001 - egger@suse.de
- Updated to version 0.37.3.
- Cleaned up specfile.
- Added clean section.
* Fri Feb 16 2001 - hhetter@suse.de
- updated to version 0.37.2
* Wed Jan 24 2001 - hhetter@suse.de
- updated to version 0.36
* Thu Dec 14 2000 - egger@suse.de
- Updated to version 0.34.
* Thu Nov 30 2000 - hhetter@suse.de
- Added missing client.la files, fix for gnomecc
* Thu Nov 16 2000 - ke@suse.de
- Update to version 0.33.1.
* Mon Nov 13 2000 - ro@suse.de
- added gdk-pixbuf to neededforbuild (by rep-gtk)
* Mon Nov 06 2000 - kukuk@suse.de
- fixed neededforbuild
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild guilegtk->guile-gtk
* Mon Nov 06 2000 - ro@suse.de
- fixed typo
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Oct 06 2000 - ke@suse.de
- Update to version 0.31.1,
* Sun Oct 01 2000 - egger@suse.de
- Cleaned up spefile.
- Removed unnecessary packages from #neededforbuild
* Mon Sep 25 2000 - ke@suse.de
- Fix %%files list (add /usr/lib/rep/%%{_host}/sawfish to make gnomecc
  work again).
* Fri Sep 22 2000 - ke@suse.de
- Update to version 0.31.
- Improve %%files list.
* Tue Aug 22 2000 - hhetter@suse.de
- updated spec file to Require: rep-gtk
* Tue Jul 25 2000 - ke@suse.de
- update ro version 0.30.3.
* Mon Jul 17 2000 - ke@suse.de
- update to version 0.30.2.
* Wed Jun 21 2000 - ke@suse.de
- update to version 0.28.1.
- add some more german translations.
* Tue Jun 13 2000 - ke@suse.de
- update to version 0.28.
* Sun May 28 2000 - baulig@suse.de
- put back Provides windowmanager.
- added Obsoletes sawmill.
* Fri May 19 2000 - ke@suse.de
- update to version 0.27.2.
* Mon May 15 2000 - ke@suse.de
- update to version 0.27.1.
- general spec file cleanup.
- make it BuildRoot.
* Wed Mar 01 2000 - uli@suse.de
- removed _target_cpu macro from %%files section
* Tue Feb 29 2000 - ro@suse.de
- added Provides windowmanager
* Sun Feb 27 2000 - adrian@suse.de
- neededforbuild fix
* Thu Feb 24 2000 - adrian@suse.de
- the sawmill windowmanager (for GNOME)
